Page MenuHomeFreeBSD

devel/pear-SebastianBergmann_FinderFacade: Update and unbreak
ClosedPublic

Authored by joneum on Nov 1 2017, 9:19 AM.

Details

Summary

devel/pear-SebastianBergmann_FinderFacade: Update from 1.1.0 to 1.2.1

Unbreak this port

switch to GitHub

Add NO_ARCH

Add LICENSE_FILE

Update *_DEPENDS

While here switch to DISTVERSION

Test Plan

~...devel/pear-SebastianBergmann_FinderFacade: portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: "RUN_DEPENDS" has to appear earlier.
0 fatal errors and 2 warnings found.

If I set "RUN_DEPENDS =" before "BUILD_DEPENDS =", portlint says: "WARN: Makefile:" BUILD_DEPENDS "has to appea earlier.

poudriere testport:

10.3-amd64
10.3-i386
10.4-amd64
10.4-i386
11.1-amd64
11.1-i386
12.0-CURRENT r325045 amd64
12.0-CURRENT r325045 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Nov 1 2017, 9:19 AM
joneum updated this revision to Diff 34591.Nov 1 2017, 9:36 AM

Add NO_ARCH

tcberner added inline comments.Nov 1 2017, 6:11 PM
devel/pear-SebastianBergmann_FinderFacade/Makefile
10 ↗(On Diff #34591)

^ why the change?

joneum added inline comments.Nov 1 2017, 6:41 PM
devel/pear-SebastianBergmann_FinderFacade/Makefile
10 ↗(On Diff #34591)

was in vim for a better view

=======================<phase: build          >============================
===>  Building for pear-SebastianBergmann_FinderFacade-1.2.1
make[1]: cannot open Makefile.

make[1]: stopped in /wrkdirs/usr/ports/devel/pear-SebastianBergmann_FinderFacade/work/finder-facade-1.2.1
joneum added a comment.Nov 1 2017, 6:46 PM
=======================<phase: build          >============================
===>  Building for pear-SebastianBergmann_FinderFacade-1.2.1
make[1]: cannot open Makefile.
make[1]: stopped in /wrkdirs/usr/ports/devel/pear-SebastianBergmann_FinderFacade/work/finder-facade-1.2.1

?

You probably wanted NO_BUILD ?

joneum added a comment.Nov 1 2017, 8:03 PM

You probably wanted NO_BUILD ?

the same as into the other commits: https://svnweb.freebsd.org/changeset/ports/452650

The port has nothing to build, so you want a do-nada target :) i.e NO_BUILD=YES -- try to build this port, and you'll see the erorr -- unless something broke while applying this diff :)

mat added inline comments.Nov 2 2017, 2:37 PM
devel/pear-SebastianBergmann_FinderFacade/Makefile
23 ↗(On Diff #34634)
31 ↗(On Diff #34634)

Any reason not to use DATADIR for this and have an extra PHP subdirectory ?

tcberner added inline comments.Nov 10 2017, 8:30 PM
devel/pear-SebastianBergmann_FinderFacade/Makefile
31 ↗(On Diff #34634)

That might actually be a good idea. @joneum can you look into this?

I do not want to change that. Many other pear ports are already like this.

tcberner accepted this revision.Nov 11 2017, 7:55 PM

I do not want to change that. Many other pear ports are already like this.

If I recall correctly, we once talked about this directory, and both found that it is maybe not the right choice :D

This revision is now accepted and ready to land.Nov 11 2017, 7:55 PM
This revision was automatically updated to reflect the committed changes.